The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Perl GD.pm not working!

Discussion in 'General Discussion' started by auyongtc, Nov 13, 2003.

  1. auyongtc

    auyongtc Member

    Joined:
    Aug 13, 2001
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    My server's a RH 7.3 with WHM 8.5.4 cPanel 8.5.4-E62. For the record, I updated (with easyapache) to Apache 1.3.29 but PHP remained at 4.3.3 for obvious reasons (4.3.4 won't work)

    Anyway, this morning, I got an e-mail from a daily cron process:

    Code:
    /etc/cron.daily/mrtgtotal:
    
    Can't locate GD.pm in @INC (@INC contains: /usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1 /usr/lib/perl5/site_perl/5.6.1/i386-linux /usr/lib/perl5/site_perl/5.6.1 /usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.6.1/i386-linux /usr/lib/perl5/vendor_perl/5.6.1 /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/site_perl/5.6.1/GD/Graph.pm line 38.
    BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.6.1/GD/Graph.pm line 38.
    Compilation failed in require at /usr/lib/perl5/site_perl/5.6.1/GD/Graph/axestype.pm line 18.
    BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.6.1/GD/Graph/axestype.pm line 18.
    Compilation failed in require at /usr/lib/perl5/site_perl/5.6.1/GD/Graph/bars.pm line 18.
    BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.6.1/GD/Graph/bars.pm line 18.
    Compilation failed in require at /usr/local/mrtg-2/bin/mrtg_total.pl line 143.
    BEGIN failed--compilation aborted at /usr/local/mrtg-2/bin/mrtg_total.pl line 143.
    
    ... hmm, I thought GD.pm was broken (it was working fine all along) so I happily go and reinstall the perl module from WHM, in which I received such an error msg:

    Code:
    spawn /usr/local/cpanel/whostmgr/bin/perlmod -i
    GD
    
    CPAN: Storable loaded ok
    Going to read /home/.cpan/Metadata
      Database was generated on Thu, 13 Nov 2003 02:46:49 GMT
    File::Spec is up to date.
    Digest::MD5 is up to date.
    Compress::Zlib is up to date.
    Archive::Tar is up to date.
    Data::Dumper is up to date.
    Net::Telnet is up to date.
    Net::Cmd is up to date.
    Term::ReadKey is up to date.
    Term::ReadLine::Perl is up to date.
    CPAN is up to date.
    Running install for module GD
    Running make for L/LD/LDS/GD-2.11.tar.gz
    CPAN: Digest::MD5 loaded ok
    CPAN: Compress::Zlib loaded ok
    Checksum for /home/.cpan/sources/authors/id/L/LD/LDS/GD-2.11.tar.gz ok
    Scanning cache /home/.cpan/build for sizes
    Deleting from cache: /home/.cpan/build/Data-Dumper-2.121 (11.4>10.0 MB)
    Deleting from cache: /home/.cpan/build/TermReadKey-2.21 (11.1>10.0 MB)
    Deleting from cache: /home/.cpan/build/CPAN-1.76 (10.8>10.0 MB)
    GD-2.11/
    GD-2.11/t/
    GD-2.11/t/GD.t
    GD-2.11/t/Polyline.t
    GD-2.11/t/test.out.1.png
    GD-2.11/t/test.out.2.png
    GD-2.11/t/test.out.3.png
    GD-2.11/t/test.out.4.png
    GD-2.11/t/test.out.5.png
    GD-2.11/t/test.out.6.png
    GD-2.11/t/test.out.7.png
    GD-2.11/t/test.out.8.png
    GD-2.11/t/test.out.9.png
    GD-2.11/t/Generic.ttf
    GD-2.11/t/frog.jpg
    GD-2.11/t/frog.xpm
    GD-2.11/t/test.out.8.png-1
    GD-2.11/t/test.out.8.png-2
    GD-2.11/t/test.out.8.png-3
    GD-2.11/t/test.out.8.png-4
    GD-2.11/t/test.out.8.png-5
    GD-2.11/t/tile.png
    GD-2.11/t/palettemap.png
    GD-2.11/t/test.out.10.png
    GD-2.11/GD/
    GD-2.11/GD/Polyline.pm
    GD-2.11/GD.pm
    GD-2.11/GD.xs
    GD-2.11/demos/
    GD-2.11/demos/brushes.pl
    GD-2.11/demos/font_list.png
    GD-2.11/demos/fonttest
    GD-2.11/demos/polys.pl
    GD-2.11/demos/fills.pl
    GD-2.11/demos/truetype_test
    GD-2.11/demos/shapes.pl
    GD-2.11/demos/copies.pl
    GD-2.11/demos/ttf.pl
    GD-2.11/demos/gd_example.cgi
    GD-2.11/demos/tile.png
    GD-2.11/demos/polyline.pl
    GD-2.11/demos/transform.pl
    GD-2.11/qd.pl
    GD-2.11/README
    GD-2.11/Makefile.PL
    GD-2.11/README.QUICKDRAW
    GD-2.11/typemap
    GD-2.11/bdf_scripts/
    GD-2.11/bdf_scripts/README
    GD-2.11/bdf_scripts/cvtbdf.pl
    GD-2.11/bdf_scripts/bdftogd
    GD-2.11/README.unix
    GD-2.11/ChangeLog
    GD-2.11/MANIFEST
    Removing previously used /home/.cpan/build/GD-2.11
    
      CPAN.pm: Going to build L/LD/LDS/GD-2.11.tar.gz
    
    
    NOTICE: This module requires libgd 2.0.12 or higher.
            it will NOT work with earlier versions.
            See [url]www.cpan.org[/url] for versions of GD that are compatible
            with earlier versions of libgd.
    
            If you are using Math::Trig 1.01 or lower, it has a bug that
            causes a "prerequisite not found" warning to be issued.  You may
            safely ignore this warning.
    
    Type perl Makefile.PL -h for command-line option summary
    
    Where is libgd installed? [/usr/lib] 
    Please choose the features that match how libgd was built:
    Build JPEG support? [y] y
    Build FreeType support? [y] n
    Build XPM support? [y] y
    
    If you experience compile problems, please check the @INC, @LIBPATH and @LIBS
    arrays defined in Makefile.PL and manually adjust, if necessary.
    
    Checking if your kit is complete...
    Looks good
    Writing Makefile for GD
    cp qd.pl blib/lib/qd.pl
    cp GD.pm blib/lib/GD.pm
    AutoSplitting blib/lib/GD.pm (blib/lib/auto/GD)
    cp GD/Polyline.pm blib/lib/GD/Polyline.pm
    /usr/bin/perl -I/usr/lib/perl5/5.6.1/i386-linux -I/usr/lib/perl5/5.6.1 /usr/lib/perl5/5.6.1/ExtUtils/xsubpp  -typemap /usr/lib/perl5/5.6.1/ExtUtils/typemap -typemap typemap GD.xs > GD.xsc && mv GD.xsc GD.c
    gcc -c -I/usr/local/include -I/usr/local/include/gd -fno-strict-aliasing -I/usr/local/include -O2 -march=i386 -mcpu=i686   -DVERSION=\"2.11\" -DXS_VERSION=\"2.11\" -fPIC -I/usr/lib/perl5/5.6.1/i386-linux/CORE -DHAVE_JPEG -DHAVE_XPM GD.c
    GD.xs: In function `XS_GD__Image_stringFT':
    GD.xs:1879: structure has no member named `charmap'
    GD.xs:1885: `gdFTEX_CHARMAP' undeclared (first use in this function)
    GD.xs:1885: (Each undeclared identifier is reported only once
    GD.xs:1885: for each function it appears in.)
    GD.xs:1887: structure has no member named `charmap'
    GD.xs:1887: `gdFTEX_Unicode' undeclared (first use in this function)
    GD.xs:1889: structure has no member named `charmap'
    GD.xs:1889: `gdFTEX_Shift_JIS' undeclared (first use in this function)
    GD.xs:1891: structure has no member named `charmap'
    GD.xs:1891: `gdFTEX_Big5' undeclared (first use in this function)
    make: *** [GD.o] Error 1
      /usr/bin/make  -- NOT OK
    Running make install
      make had returned bad status, install seems impossible
    perlmod--Install done
    
    ... hmm, so what now? :(
     
Loading...

Share This Page